package com.oo.eye.bean;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by xucon on 2018/9/6.
 */

public class SearchParamBean {
	private Map<String, String> params = new HashMap<>();

	private String schoolId;
	private String classId;
	private String grade;
	private String studentId;
	private String visionStatus;//A类：typeA，单眼5.0或以上：singleGood，双眼过5.0或以上：goodVision，任意眼有5.0以下的情况：badVision
	private String testStatus;//为空或不传默认为all 全部：all，已测试：tested，未测试：untested

	public Map<String, String> getParams() {
		return params;
	}

	public void setSchoolId(String schoolId) {
		params.put("schoolId",schoolId);
	}

	public void setClassId(String classId) {
		params.put("classId",classId);
	}

	public void setGrade(String grade) {
		params.put("grade",grade);
	}

	public void setStudentId(String studentId) {
		params.put("studentId",studentId);
	}

	public void setVisionStatus(String visionStatus) {
		params.put("visionStatus",visionStatus);
	}

	public void setTestStatus(String testStatus) {
		params.put("testStatus",testStatus);
	}
}
